ttdbserverd(user cmd)

NAME
ttdbserverd — RPC-based ToolTalk database server

SYNOPSIS

rpc.ttdbserverd [-G] [-m DTMOUNTPOINT_value] [-n] [-v] [-?]

DESCRIPTION

rpc.ttdbserverd manages ToolTalk objects created by tt_spec_create(3), and handles certain queries related to the netfiles returned by tt_file_netfile(3). One instance of rpc.ttdbserverd (normally started by inetd) runs on each host that has a local filesystem. rpc.ttdbserverd serves four purposes:

1.  Mapping a spec to its associated file and a file to its associated specs.

2.  Mapping a spec to its properties.

3.  Mapping a file to a list of sessions with clients having patterns registered in the scope of that file.

4.  Answering netfile queries; see tt_file_netfile(3) and tt_host_file_netfile(3).

For each filesystem that rpc.ttdbserverd needs to store information about, it creates a directory called TT_DB at the mountpoint of that file system. In that directory it creates the databases it needs to store its tables and indices. If the partition is not writable, then rpc.ttdbserverd can be told, via partition_map(4), to create the databases in another local partition. If rpc.ttdbserverd is not installed on a particular file server, ToolTalk can be told, via hostname_map(4), to manage that file server's partitions using the rpc.ttdbserverd on a different host.

OPTIONS

-G  Perform garbage collection. This cleans up the TT_DB directories and the associated internal database files.

-m DTMOUNTPOINT_value
    Sets the DTMOUNTPOINT environment variable for rpc.ttdbserverd. If there is already an environment variable called DTMOUNTPOINT, -m will override it.

-n  Turn off permission checking. Normally the protection of the file passed to tt_spec_create(3) determines who may read and write that spec. This option disables this checking and allows anyone to read and write any spec. This option should be used with caution.

-v  Print out the version number.

-?  Prints out the command usage information.

ENVIRONMENT

DTMOUNTPOINT
    If set, the value of this environment variable will be used in place of /net in pathnames constructed to answer tt_host_netfile_file(3) queries. This environment variable can also be set by using the -m flag for rpc.ttdbserverd.

TT_PARTITION_MAP
    If set, the value of this environment variable will be used in place of /etc/tt/partition_map. See partition_map(4).

FILES

TT_DB/*
    spec and session database files are kept in the TT_DB directory under each disk partition mount point.

tt/hostname_map
    Host redirection map. See hostname_map(4).

/etc/tt/partition_map
    Partition redirection map. See partition_map(4).

SEE ALSO

ttsession(1), tt_file_netfile(3), tt_host_file_netfile(3), tt_spec_create(3), hostname_map(4), partition_map(4)